PDA

View Full Version : Cyclowiz and System Update 4.2?????



mabhz
03-28-2010, 10:00 PM
Hi all!

I REALLY would appreciate some help here, because i am completely out of sync with the Wii scene, and i have this old (2008) USA/NTSC Wii modded with a Cyclowiz that i didnt use for almost an year.

Last week i just decided to bring it up to life, and i got a System Update message. I really dont know if its "safe" to perform this update, because last time i followed the scene news i guess i remember some talk about the latest system update messing with the scrubbed games loading, region free or some other stuff that would stop to work.

My current System version is: 4.0U

I basically run back-ups, NTCS and PALs, and just a few scrubbed.

As i said, i got a message telling me to update some channels, and to do that i need to update the system. Is it "safe" to do that?? Can it mess up my Cyclowiz funcionalities?

I´m not worried to loose region free compatibility, because i dont have many PAL games anyway. But i dont want to stop having access to Wii Channel or any other internet based channel, because of my Cyclowiz being "discovered" by updates later than 4.0U.

So, is it "safe"?? What exact "features" will i lose if i update?

Can i get some "pro" advice on the matter, please???

THANKS!!!!!!!!!!

tech3475
03-29-2010, 02:18 AM
The main downside to system menu 4.2 is the blocking of region free and all older homebrew is removed as well as cios and all ios files are update.

There may be other things as well but i cant recall them.

Btw you can still get updates for the shop channel, etc. By running wiiscu which doesnt update the system menu.

THere is no real reason to update.

mabhz
03-29-2010, 10:44 AM
Thank you very much for taking the time and replying.

My Wii is, so far, completely original except for the Cyclowiz. I dont have any "hacked" channel installed, no homebrew, HDD game running, etc, etc, and i really dont want to do any of that. I would like to keep my console as original and clean as possible.

I understand that if i update, i will:

- Loose the possibility to run PAL games, which is a feature of Cyclowiz;
- Loose the possibility to run Scrubbed games (which i have just a couple);
- Loose the possibility to install homebrew or other hacking channels;

Is that correct? Anyone other really important loss?? Is there any chance of my Ciclowiz being detected??

If in the future i sell the console and the new owner wants to install a homebrew and run games from an external HDD, will he be able to do it with system 4.2U installed???

thanks!!

JoMacHo
03-29-2010, 11:07 AM
Yes he can. There is a softmod for 4.2 systems also.

tech3475
03-29-2010, 01:32 PM
Thank you very much for taking the time and replying.
I understand that if i update, i will:

- Loose the possibility to run PAL games, which is a feature of Cyclowiz;
- Loose the possibility to run Scrubbed games (which i have just a couple);
- Loose the possibility to install homebrew or other hacking channels;



-You would have to softmod to get region free (e.g. preloader, startpatch).
-You can patch the trucha signing bug back into the IOS files using DOP-IOS
-No, the newer versions of the HBC/DVDX aren't removed or can be installed using bannerbomb v2 and other hacks can be patched back in.

There are softmods available as well, but be aware with the auto-softmodders as they may patch all IOS files, requiring you to manually install a vanilla IOS (e.g. 30) and reinstall the system menu since it will be upside down.

Another solution is to do it manually by installing the system menu wad and IOS 70 then use WIISCU to install the shop channel, etc.

mabhz
03-29-2010, 02:06 PM
Thanks a lot for the replies!!

Questions:


1 - So, bottonline, if i dont care about homebrews and PAL or scrubbed games, im OK to install update 4.2??

2 - My biggest concern really is about the Cyclowiz chip being "detected" by a system update and lossing my internet connection and accessibility to channels, like it happens on a banned Xbox 360.

3 - I have read some posts on the Cyclowiz official forum of users STILL BEING ABLE to run out-of-region games after they applied update 4.2 on their Cyclowiz fitted Wii´s. Is that REALLY possible?


THANKS again!

tech3475
03-29-2010, 02:34 PM
The system software shouldn't detect the cyclowiz at all and those people probably softmodded their consoles to run region free (as previously stated).

Also, newer games dont work with most modchips (except those with BCA fixes) e.g. NSMB without the use of a softmod such as neogamma or a USB loader. This is on ANY system software.

As stated, yes you can update but if you use the official updater there is a risk of bricking the console.

mabhz
03-29-2010, 06:53 PM
NO, the users who are running out-of-region games on their Cyclowiz fitted Wiis DID NOT perform any softmod. Just updated to 4.2 and inserted the PAL isos and they worked (I PMed some of them already).

If its not too much to ask, could someone explain how on earth could i brick my console just for using the official update, which i have always used up to version 4.0??? I dont have ANY homebrew or any sort of hack installed on the console, so how could it brick????

tech3475
03-30-2010, 10:27 AM
On system menu 4.2 they update boot2 using somewhat dodgy code resulting in the chance of a brick and korean converted console brick:
http://wiibrew.org/wiki/System_Menu_4.2#Issues

Although any update carries a risk, this one is a greater one than normal.